Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.Points

Contents

- Accessors

Description

Functions to plot sets of points, marked in various styles.

Synopsis

- data PlotPoints x y = PlotPoints {
  - plot_points_title_ :: String
  - plot_points_style_ :: CairoPointStyle
  - plot_points_values_ :: [(x, y)]
  }
- defaultPlotPoints :: PlotPoints x y
- plot_points_title :: forall x y. T (PlotPoints x y) String
- plot_points_style :: forall x y. T (PlotPoints x y) CairoPointStyle
- plot_points_values :: forall x y. T (PlotPoints x y) [(x, y)]

# Documentation

data PlotPoints x y Source

Value defining a series of datapoints, and a style in which to render them.

Constructors

PlotPoints |

Fields

plot_points_title_ :: String
plot_points_style_ :: CairoPointStyle
plot_points_values_ :: [(x, y)]

Instances

ToPlot PlotPoints |

defaultPlotPoints :: PlotPoints x ySource

# Accessors

These accessors are generated by template haskell

plot_points_title :: forall x y. T (PlotPoints x y) String Source

plot_points_style :: forall x y. T (PlotPoints x y) CairoPointStyle Source

plot_points_values :: forall x y. T (PlotPoints x y) [(x, y)]Source